const AEM = require('./index');
const fetch = require('isomorphic-fetch');
const exec = require('./generatorExec');

const aem = new AEM('http://ref.aem.bwinparty.corp', 4502, 'cashcadeuser', 'Ca$hcad3');

// /jcr:root/content/bingo/foxybingocom//*[sling:resourceType='libs/foundation/components/promotion/terms']
const termsNodes = ["/content/bingo/foxybingocom/en_US/terms/vip-darts/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bogof-cards/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonus-bundle-terms-110/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/golden-raffle-terms/jcr:content/promo-config/tab1208725230428/terms","/content/bingo/foxybingocom/en_US/terms/vip-palladium-bonus-award/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/mystery-bonus11/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-80-VIP/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-royal-ascot/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/casino-bonus-terms-100/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms/jcr:content/promo-config/tab1208725230428/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-200/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonus-bundle-terms-300-VIP/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-80/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/mystery-bonus/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-silver-bonus-award/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-125/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-75/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/aztec-treasure-terms/jcr:content/promo-config/tab1208725230428/terms","/content/bingo/foxybingocom/en_US/terms/vip-snooker/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/VIP-facebook-casino-bonus-terms-100/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/mystery-bonus1/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonusback-terms-25/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonusback-terms-100/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-25/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-100-VIP/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-goodluck-bonus/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/thai-flower-terms/jcr:content/promo-config/tab1208725230428/terms","/content/bingo/foxybingocom/en_US/terms/casino-bonus-terms-200-VIP/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-predict-the-score/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonus-bundle-terms-100/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-chocs/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-100/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-mystery-bonus-terms/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-gold-bonus-award/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-gibraltar/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-billy/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/casino-bonus-terms-150-tri/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/casino-bonus-terms-100-VIP/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/casino-bonus-terms-100-tri/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-200-VIP/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/chat-games/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonusback-terms-50/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-rod-stewart/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/casino-bonus-terms-80/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-nfl/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bingo-bonus-terms-50/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-going-for-gold/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/bonus-bundle-terms-150/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-adele/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/terms/vip-foxy-threesome-terms/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/top-slots/jcr:content/main/html5tagcontent/splash_page/content/ihtml5tag/html5tagcontent/html5tag/html5tagcontent/terms","/content/bingo/foxybingocom/en_US/foxys-world/mum-of-the-year/jcr:content/promo-config/tab187178898422/terms","/content/bingo/foxybingocom/en_US/foxys-world/which-bingo-awards/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/foxys-world/foxysangels/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/how-to-play-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/thank-foxy-its-friday-party/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/vip-charlie-choco/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-ascot-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/vip-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/towie-advent-calendar/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/super-bank-holiday-free-spins/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/thank-foxy-its-friday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/valentines-free-spins-special/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/foxys-podium/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/free-spins-fever/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/super-sunday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-fluffy-favourites/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/welcome-hotel-5free/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/magic-week/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/25-bonus-back/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-bad-boy-tournament/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/spring-spins/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/festive-friday-10k/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/20k-weekend-takeaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/tour-de-fox/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/tour-de-foxy/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5000-foxys-film-fest/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/10k-sunday-slider/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/25k-maximum-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-grand-national-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/summer-giveaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-wimbledon-slot-tourney/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/promotions/ahhh-tuesday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/suprise-bonus/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/cash-splash/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/200k-maximum-bingo/jcr:content/promo-config/tab728221380784/terms","/content/bingo/foxybingocom/en_US/promotions/foxys-angels/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/10k-topsy-turvy-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/half-price-sale/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/crack-the-safe/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/3k-slot-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/april-showers/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/tombola/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/foxys-big-dive/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/towie-marbella-giveaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/free-spins-giveaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/aztec-treasure/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/VIP-free-spins-giveaway1/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/chicken-dinner/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/trick-or-treat/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/casino-disco/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/towie-champagne-party/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/top-tombola/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/free-10k-sliding-jackpot/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/welcome-offer-get-60-1/jcr:content/promo-config/tab165027059747/terms","/content/bingo/foxybingocom/en_US/promotions/this-must-be-thursday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-bonfire-bingo-slots/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/100s-and-1000s-wednesdays/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/black-friday-week/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/bingo-200-bonus/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-chinese-new-year/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/ladies-day/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/game-of-phones/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/promotions/bumper-saturday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/ghost-train/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/money-back-mondays/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/weekly-specials/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/welcome-to-the-new-site/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/free-spins-bonanza/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/jurrasic-juniors/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/carousel/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/test-of-strength/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/head-over-heels/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/phileas-fox/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/promotions/new-game-rush/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/65k-weekend-takeaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/test1/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/4th-july/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/15k-superstar-giveaway/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/promotions/5k-ferris-wheel-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/which-bingo-nominations/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-mini-maximum-bingo/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/promotions/black-friday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/november-prize-rain/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/test/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/60k-thank-foxy-its-friday/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/maximum-bingo/jcr:content/promo-config/tab728221380784/terms","/content/bingo/foxybingocom/en_US/promotions/15k-autumn-bingo-party/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/foxys-groupies/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/meet-bobby-from-towie/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/towie-scratch-card/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/free-bingo-games-for-fun/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/free-spins-eggstravaganza/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/foxy-five/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/big-bingo-nights/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/newbie-room/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/season-finale-party/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/hope-and-glory/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/2k-millionaire-genie-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/15k-summer-giveaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/welcome-offer-get-40/jcr:content/promo-config/tab165027059747/terms","/content/bingo/foxybingocom/en_US/promotions/5k-foxy-fives-sundays/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/welcome-offer-whichbingo-nominations/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/towie-slot-game/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/5k-festival-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/monster-mash/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/15k-topsy-turvy-bingo-jackpot/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/30k-five-star-jackpot/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/money-mondays/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/sleigh-slot-tournament/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/angels-5k-slot-tourney/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/casino-200-bonus/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/suprise-bonus1/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/meet-bobby-from-towie-comp/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/promotions/brunch-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/50k-sliding-jackpot/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/atari-challenge/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/vip-ghost-train/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/lucky-charms/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/golden-raffle/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/hook-a-duck/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/spin-to-win/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/mystery-giveaway/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/pre-buy-jackpots/jcr:content/promo-config/tab350256196661/terms","/content/bingo/foxybingocom/en_US/promotions/slot-sale/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/sunday-10k-sliding-jackpot/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/millionaire-hour/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/sunday-sisters-day-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/50k-elevator-bingo/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/sunday-is-bingo-day/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/promotions/thai-flower-getaway/jcr:content/promo-config/tab0/terms_0","/content/bingo/foxybingocom/en_US/bingo/chat-games/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/vip/promotions/vip-tourney/jcr:content/promo-config/tab0/html5tag_0/html5tagcontent/terms","/content/bingo/foxybingocom/en_US/vip/promotions/towie-advent-calendar/jcr:content/promo-config/tab0/terms","/content/bingo/foxybingocom/en_US/vip/promotions/vip-cash-is-king-tourney/jcr:content/promo-config/tab0/html5tag_0/html5tagcontent/terms","/content/bingo/foxybingocom/en_US/vip/promotions/gold/jcr:content/promo-config/tab0/html5tag/html5tagcontent/terms","/content/bingo/foxybingocom/en_US/vip/promotions/silver/jcr:content/promo-config/tab0/html5tag_0/html5tagcontent/terms","/content/bingo/foxybingocom/en_US/vip/promotions/palladium/jcr:content/promo-config/tab0/html5tag/html5tagcontent/terms","/content/bingo/foxybingocom/en_US/vip/promotions/chocs/jcr:content/promo-config/tab0/terms"];

const h5NodeName = 'terms-migration-h5';
const textNodeName = 'terms-migration-text';

exec(function *() {
  const termsLen = termsNodes.length;
  for (let i = 0; i < termsLen; i++) {
    const termsPath = termsNodes[i];
    const cqPage = termsPath.split('/jcr:content/')[0];

    console.log(`${i} / ${termsLen}\t${termsPath}`);
    const termsNode = yield aem.getNode(termsPath).catch(e => null);

    if (termsNode === null) {
      console.log(' - couldnt find terms node');
      continue;
    }

    /**
     * Create version
     */
    const page = yield aem.getNode(cqPage);
    yield page.createVersion('', 'Pre-terms to h5 + text conversion');
    console.log(' - version created');

    /**
     * CREATE NEW NODES IF NOT EXIST
     */
    const parentPath = termsPath.replace(/\/([^\/]+?)$/, '');
    const parentNode = yield aem.getNode(parentPath);
    const parentChildNodes = yield parentNode.getChildren();
    if (!parentChildNodes[h5NodeName] || !parentChildNodes[textNodeName]) {
      const props = yield termsNode.getProperties();

      const {headline, text} = props;

      const cleanHeadline = headline ? headline.replace(/£/g, '&pound;') : '';
      const cleanText = text ? text.replace(/£/g, '&pound;') : '';

      /**
       * CREATE H5
       */
      if (!parentChildNodes[h5NodeName]) {
        console.log(` - adding h5 [${headline}]`);

        yield parentNode.createChild(h5NodeName, 'nt:unstructured', {
          headlinesize: 'h5',
          'sling:resourceType': 'libs/foundation/components/subtitle',
          title: cleanHeadline,
          titleText: cleanHeadline,
        });
      }

      /**
       * CREATE TEXT
       */
      if (!parentChildNodes[textNodeName]) {
        console.log(` - adding text`);

        yield parentNode.createChild(textNodeName, 'nt:unstructured', {
          'sling:resourceType': 'basil/components/content/text',
          text: cleanText,
          textIsRich: true,
        });
      }
    } else {
      console.log(' - new nodes already exist. skipping creation');
    }

    /**
     * REMOVE OLD TERMS NODE
     */
    console.log(' - removing terms node');
    yield termsNode.remove();

    /**
     * ACTIVATE PAGE
     */
    yield page.activate();

    console.log(` - DONE`);
  }
});
