const AEM = require('./index');
const fetch = require('isomorphic-fetch');
const exec = require('./generatorExec');
require('./Promise.concurrent');
require('colors');

const aem = new AEM('http://aem.bwinparty.corp', 4502, 'dominice', 'ufpXZUZv2017');
const lightBoxParent = '/content/bingo/cheekybingocom/en_US/vip/jcr:content/main/html5tagcontent/events/html5tagcontent/columns/column1';

exec(function *() {
  const lightBoxParentNode = yield aem.getNode(lightBoxParent);
  const promoBlocks = yield lightBoxParentNode.getChildren();
  const promoBlockNames = Object.keys(promoBlocks);

  for (let ii = 0; ii < promoBlockNames.length; ii++) {
    const promoBlock = promoBlocks[promoBlockNames[ii]];
    const promoImage = yield promoBlock.getChild('promoImage');
    const promoImageProps = yield promoImage.getProperties();
    const {fileReference} = promoImageProps;
    const lightBoxImageSource = fileReference.substr(0, fileReference.lastIndexOf('/'));
    const lightBoxPath = promoBlock._config.path + '/promoLightbox-${settings.simpleID}';

    console.log(lightBoxImageSource.yellow);
    console.log(lightBoxPath.yellow);

    /**
     * Parse all images in dam for a given path...
     */
    const imageParentNode = yield aem.getNode(lightBoxImageSource);
    const images = yield imageParentNode.getChildren();
    const configArray = [];

    let imageNames = Object.keys(images).filter(name => name.substr(0, 4) !== 'jcr:');

    for (let i = 0; i < imageNames.length; i++) {
      const imageName = imageNames[i];
      const imageNode = images[imageName];
      const props = yield images[imageName].getProperties();
      console.log(`Props for ${imageNode._config.path}`.yellow, props);

      if (props['jcr:primaryType'] === 'dam:Asset') {
        configArray.push(JSON.stringify({
          path: encodeURI(imageNode._config.path),
          alt: ''
        }));
      }
    }

    console.log('Final config'.blue, configArray);

    const lightBoxNode = yield aem.getNode(lightBoxPath);
    yield lightBoxNode.setProperty('images', configArray);

    console.log(`${lightBoxPath} updated`.green);
  }
});
